Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::StdStepCalculator Class Reference

`#include <SensStdStepCalc.hpp>`

Inheritance diagram for Ipopt::StdStepCalculator:
[legend]

## Public Member Functions
| StdStepCalculator (SmartPtr< SchurData > ift_data, SmartPtr< SensBacksolver > backsolver)
virtual | ~StdStepCalculator ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class. More...
virtual bool | Step (DenseVector &delta_u, IteratesVector &sol)
| This is the main algorithmic function of this class; It calculates a step using its SchurDriver, checks bounds, and returns it. More...
bool | BoundCheck (IteratesVector &sol, std::vector< Index > &x_bound_violations_idx, std::vector< Number > &x_bound_violations_du)
virtual SmartPtr< IteratesVector > | GetSensitivityVector (void)
| return the sensitivity vector More...
Public Member Functions inherited from Ipopt::SensitivityStepCalculator
| SensitivityStepCalculator ()
virtual | ~SensitivityStepCalculator ()
bool | Do_Boundcheck () const
void | SetSchurDriver (SmartPtr< SchurDriver > driver)
SmartPtr< SchurDriver > | Driver ()
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
SmartPtr< SchurData > | ift_data_
SmartPtr< SensBacksolver > | backsolver_
Number | bound_eps_
bool | kkt_residuals_
SmartPtr< IteratesVector > | SensitivityVector

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Definition at line 22 of file SensStdStepCalc.hpp.

## Constructor & Destructor Documentation

Ipopt::StdStepCalculator::StdStepCalculator | ( | SmartPtr< SchurData > | ift_data,
|  | SmartPtr< SensBacksolver > | backsolver
| ) |  |

virtual Ipopt::StdStepCalculator::~StdStepCalculator | ( |  | ) |
| virtual

## Member Function Documentation

virtual bool Ipopt::StdStepCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

Implementation of the initialization method that has to be overloaded by for each derived class.

Reimplemented from Ipopt::SensitivityStepCalculator.

virtual bool Ipopt::StdStepCalculator::Step | ( | DenseVector & | delta_u,
|  | IteratesVector & | sol
| ) |  |
| virtual

This is the main algorithmic function of this class; It calculates a step using its SchurDriver, checks bounds, and returns it.

Implements Ipopt::SensitivityStepCalculator.

bool Ipopt::StdStepCalculator::BoundCheck | ( | IteratesVector & | sol,
|  | std::vector< Index > & | x_bound_violations_idx,
|  | std::vector< Number > & | x_bound_violations_du
| ) |  |

virtual SmartPtr<IteratesVector> Ipopt::StdStepCalculator::GetSensitivityVector | ( | void |  | ) |
| inline virtual

return the sensitivity vector

Implements Ipopt::SensitivityStepCalculator.

Definition at line 42 of file SensStdStepCalc.hpp.

## Member Data Documentation

SmartPtr<SchurData> Ipopt::StdStepCalculator::ift_data_
| private

Definition at line 42 of file SensStdStepCalc.hpp.

SmartPtr<SensBacksolver> Ipopt::StdStepCalculator::backsolver_
| private

Definition at line 46 of file SensStdStepCalc.hpp.

Number Ipopt::StdStepCalculator::bound_eps_
| private

Definition at line 47 of file SensStdStepCalc.hpp.

bool Ipopt::StdStepCalculator::kkt_residuals_
| private

Definition at line 48 of file SensStdStepCalc.hpp.

SmartPtr<IteratesVector> Ipopt::StdStepCalculator::SensitivityVector
| private

Definition at line 50 of file SensStdStepCalc.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensStdStepCalc.hpp